#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x354057b3, "module_layout" },
	{ 0x3e8e3012, "nft_unregister_expr" },
	{ 0xe3bef7fa, "nft_register_expr" },
	{ 0xde365ed6, "nft_dump_register" },
	{ 0xca4b94f7, "nf_tables_bind_set" },
	{ 0xe2b8cc13, "nft_parse_register_load" },
	{ 0x589a5c7c, "nft_set_lookup_global" },
	{ 0x3c7209a5, "nf_tables_activate_set" },
	{ 0xef22463a, "nf_tables_deactivate_set" },
	{ 0x3f13d662, "nf_tables_destroy_set" },
	{ 0x36e12d73, "nft_obj_lookup" },
	{ 0xadc2ce81, "nla_put" },
	{ 0x754d539c, "strlen" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "nf_tables");


MODULE_INFO(srcversion, "A5524EC8F6370F341B43997");
